Loading...
Searching...
No Matches
filemd5_probe.c File Reference

filemd5 probe More...

`#include "_seap.h"`
`#include <probe-api.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`
`#include <limits.h>`
`#include <pthread.h>`
`#include <errno.h>`
`#include <crapi/crapi.h>`
`#include <probe/probe.h>`
`#include <probe/option.h>`
`#include "oval_fts.h"`
Include dependency graph for filemd5_probe.c:

## Macros

#define | FILE_SEPARATOR '/'

## Functions

int | probe_offline_mode_supported ()
void * | probe_init (void)
void | probe_fini (void *arg)
int | probe_main (SEXP_t *probe_in, SEXP_t *probe_out, void *mutex, SEXP_t *filters)

## Detailed Description

filemd5 probe

Author
  "Daniel Kopecek" dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m

2010/06/13 dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m This probe is able to process a filemd5_object as defined in OVAL 5.4 and 5.5.